<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <style>
        #elDiv{
            background: #999999;
            width: 350px;
            height: 50px;
        }
    </style>
</head>
<body>
    <button id="wDock">Получить ширену документа</button>
    <button id="wWin">Получить ширину окна</button>
    <button id="wDiv">Получить ширину div-элемента</button>
    <button id="divW">Сделать ширину div-элемента 150px </button>
    <div id="elDiv"></div>
    <script>
        $('#wDock').click(function () {
            $('#elDiv').html('Ширина документа :' + $(document).width() + 'PX');
        })
        $('#wWin').click(function () {
            $('#elDiv').html('Ширина окна :' + $(window).width() + 'PX');
        })
        $('#wDiv').click(function () {
            $('#elDiv').html('Ширина div-элемента :' + $('#elDiv').width() + 'PX');
        })
        $('#divW').click(function () {
            $('#elDiv').width(150);
            $('#elDiv').html("Ширина div-элемента : 150PX")
        })
    </script>
</body>
</html>